## dpdk 22.11.1

=== debian/changelog ===
dpdk (22.11.1-2ubuntu1) lunar; urgency=medium

  * d/t/test-fastsuite: test env before breaking tests for known issues

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 02 Mar 2023 08:41:29 +0100

dpdk (22.11.1-2) unstable; urgency=medium

  * d/watch: restrict to 22.11 LTS
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sat, 17 Dec 2022 13:59:11 +0000

dpdk (22.11.1-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/22.11.1'
  * Drop Revert-drivers-omit-symbol-map-when-unneeded.patch, fixed
    upstream
  * Adjust symbols versions for PMDs for 22.11.1

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Dec 2022 09:50:03 +0000

dpdk (22.11-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/22.11'
  * Drop docs-sort-files-lists-in-generator-scripts.patch, merged upstream
  * Install new dpdk-test-security-perf in dpdk-dev
  * Remove ~rc2-1 from d/*.symbols
  * Revert change to make all PMD functions public APIs
  * Drop obsolete NEWS file

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Nov 2022 14:55:02 +0000

dpdk (22.11~rc2-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Update upstream source from tag 'upstream/22.11_rc2'
    this includes various fixes like (closes: #1023000):
    - vhost: fix header spanned across more than two descriptors
      (CVE-2022-2132)
    - vhost: discard too small descriptor chains
      (CVE-2022-2132)
    - net/mlx5: fix Rx queue recovery mechanism
      (CVE-2022-28199)
  * d/control: Bump to 22.11 ABI 23
  * d/p/disable_*_autopkgtest_fails.patch: update to match dpdk 22.11
  * d/control: new libs in 22.11-rc2
    - libs renamed baseband-acc100 -> baseband-acc
    - new libs: common-idpf, dma-dpaa2, net-gve, net-idpf, net-octeon-ep,
      raw-cnxk-gpio, regex-cn9k
    - removed libs: octeontx2-*, flow-classify, kni, librte-net-octeontx-ep23,
      raw-dpaa2-qdma23
  * d/*.symbols: update for 22.11
    - bump for ABI 23
    - register DPDK_23 in libs that were already stable before
    - rename to match the ABI change
    - add new libs in 22.11-rc2
    - remove older non symbol specific Missing statements
    - drop/update old ABI 22 references
    - d/*.symbols: drop removed libs
    - d/*.symbols: update changing symbols
  * avoid flaky test fails (closes: #1021231)
    - d/t/test-fastsuite: bump timeout 3->12
    - d/rules: bump timeout 3->6 (build had less issues and
      does more other things that consume time)
  * d/t/control: add jq to enable further tests
  * d/control: add libxdp-dev to libdpdk-dev as well to avoid pkconfig errors

  [ Luca Boccassi ]
  * Add build-dep on libxdp-dev (closes: #1023569)
  * Backport patch to fix documentation reproducibility
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Nov 2022 15:31:51 +0000

=== debian/control ===
Source: dpdk
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
           Santiago Ruano Rincón <santiagorr@riseup.net>,
Build-Depends: chrpath,
               debhelper-compat (= 13),
               dh-python,
               libbpf-dev,
               libbsd-dev,
               libelf-dev,
               libfdt-dev,
               libibverbs-dev (>= 23~),
               libipsec-mb-dev [amd64],
               libisal-dev [amd64],
               libjansson-dev,
               libmnl-dev,
               libnuma-dev,
               libpcap-dev,
               libssl-dev,
               libxdp-dev,
               meson (>= 0.47.1~),
               pkg-config,
               python3:any,
               python3-pyelftools,
               zlib1g-dev,
Build-Depends-Indep:
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               inkscape <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               texlive-fonts-recommended <!nodoc>,
               texlive-latex-extra <!nodoc>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Section: libs
Homepage: https://www.dpdk.org
Vcs-Git: https://salsa.debian.org/debian/dpdk.git -b unstable
Vcs-Browser: https://salsa.debian.org/debian/dpdk

Package: dpdk
Section: admin
Architecture: amd64 arm64 i386 ppc64el riscv64
Depends: lsb-base (>= 3.2-14),
         pci.ids | hwdata,
         pciutils,
         procps,
         ${misc:Depends},
         ${python3:Depends},
# Recommend a subset of more tested, more used and more supported libs
Recommends: librte-mempool23,
            librte-mempool-ring23,
            librte-net-af-packet23,
            librte-net-bond23,
            librte-net-e1000-23,
            librte-net-fm10k23,
            librte-net-i40e23,
            librte-net-ixgbe23,
            librte-net-mlx4-23,
            librte-net-mlx5-23,
            librte-net-netvsc23,
            librte-net-pcap23,
            librte-net-tap23,
            librte-net-thunderx23,
            librte-net-vdev-netvsc23,
            librte-net-vhost23,
            librte-net-virtio23,
            librte-net-vmxnet3-23,
            python3-pyelftools,
Suggests: dpdk-doc,
          dpdk-kmods-dkms,
          librte-meta-baseband,
          librte-meta-bus,
          librte-meta-common,
          librte-meta-compress,
          librte-meta-crypto,
          librte-meta-dma,
          librte-meta-event,
          librte-meta-mempool,
          librte-meta-net,
          librte-meta-raw,
          librte-meta-allpmds,
Breaks: dpdk-dev (<< 18.11-4~),
Replaces: dpdk-dev (<< 18.11),
Description: Data Plane Development Kit (runtime)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime environment to run DPDK applications.

Package: librte-meta-baseband
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Baseband},
         ${misc:Depends},
Description: Data Plane Development Kit (baseband libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte baseband libraries.

Package: librte-meta-bus
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Bus},
         ${misc:Depends},
Description: Data Plane Development Kit (bus libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte bus libraries.

Package: librte-meta-common
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Common},
         ${misc:Depends},
Description: Data Plane Development Kit (common libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte common libraries.

Package: librte-meta-compress
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Compress},
         ${misc:Depends},
Description: Data Plane Development Kit (compress libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte compress libraries.

Package: librte-meta-crypto
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Crypto},
         ${misc:Depends},
Description: Data Plane Development Kit (crypto libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte crypto libraries.

Package: librte-meta-dma
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Dma},
         ${misc:Depends},
Description: Data Plane Development Kit (dma libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte dma libraries.

Package: librte-meta-event
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Event},
         ${misc:Depends},
Description: Data Plane Development Kit (event libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte event libraries.

Package: librte-meta-mempool
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Mempool},
         ${misc:Depends},
Description: Data Plane Development Kit (mempool libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte mempool libraries.

Package: librte-meta-net
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Net},
         ${misc:Depends},
Description: Data Plane Development Kit (net libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte net libraries.

Package: librte-meta-raw
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Raw},
         ${misc:Depends},
Description: Data Plane Development Kit (raw libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all the librte raw libraries.

Package: librte-meta-allpmds
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:Allpmds},
         ${misc:Depends},
Description: Data Plane Development Kit (all poll mode drivers)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all poll mode drivers produced by DPDK.

Package: librte-meta-all
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Depends: ${librte:All},
         ${misc:Depends},
Description: Data Plane Development Kit (all sub-libraries)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This is a metapackage to pull in all librte libraries produced by DPDK.

Package: dpdk-dev
Section: oldlibs
Architecture: amd64 arm64 i386 ppc64el riscv64
Breaks: dpdk (<< 18.11-4~),
Replaces: dpdk (<< 18.11-4),
Depends: libdpdk-dev (>= ${source:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (dev tools)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains tools useful to a developer and for dpdk self tests.

Package: dpdk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Homepage: https://dpdk.org/doc/guides/index.html
Depends: fonts-font-awesome,
         fonts-lato,
         fonts-roboto-slab,
         libjs-jquery,
         libjs-underscore,
         python3:any,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: Data Plane Development Kit (documentation)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the complete set of documentation and guides.

Package: libdpdk-dev
Section: libdevel
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libbpf-dev,
         libbsd-dev,
         libibverbs-dev,
         libipsec-mb-dev [amd64],
         libisal-dev [amd64],
         libelf-dev,
         libfdt-dev,
         libjansson-dev,
         libmnl-dev,
         libnuma-dev,
         libpcap-dev,
         libssl-dev,
         libxdp-dev,
         zlib1g-dev,
         ${librte:All},
         ${misc:Depends},
Description: Data Plane Development Kit (basic development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the basic headers and library files required to
 build external applications which will also require at least SSE3 support
 when running.
 .
 libdpdk.pc: note that CFLAGS might contain an -march flag higher than typical
 baseline.
 This is required for a number of static inline functions in the public headers.

Package: librte-acl23
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__acl_8h.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (librte-acl runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte-acl.

Package: librte-baseband-acc23
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Homepage: https://doc.dpdk.org/guides/bbdevs/acc100.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (librte-baseband-acc100 runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte-baseband-acc100.

Package: librte-baseband-fpga-5gnr-fec23
Architecture: amd64 arm64 i386 ppc64el riscv64
Multi-Arch: same
Homepage: https://doc.dpdk.org/guides/bbdevs/fpga_5gnr_fec.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (librte-baseband-fpga-5gnr-fec runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

# Upstream now defines a single ABI across all libs that we will use
DPDK_ABI := $(shell cat ABI_VERSION | cut -d. -f1)
# Experimental libs will have 0.200 on actual ABI 20.0
DPDK_EXP_ABI := "0.$(shell cat ABI_VERSION | cut -d. -f1-2 | tr -d ".")"

ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
	export DH_VERBOSE=1
	export DH_OPTIONS=-v
endif

# People rebuilding this package can overwrite RTE_PLATFORM
# via DEB_BUILD_OPTIONS if they like
ifneq (,$(filter rte_machine=%,$(DEB_BUILD_OPTIONS)))
	echo "WARNING: the machine setting is deprecated, please use platform (rte_platform)"
    RTE_PLATFORM ?= $(patsubst rte_machine=%,%,$(filter rte_platform=%,$(DEB_BUILD_OPTIONS)))
endif
ifneq (,$(filter rte_platform=%,$(DEB_BUILD_OPTIONS)))
    RTE_PLATFORM ?= $(patsubst rte_platform=%,%,$(filter rte_platform=%,$(DEB_BUILD_OPTIONS)))
endif
# default to minimal base, without setting this it would build
# -march=native which is a non portable invariant
RTE_PLATFORM ?= "generic"

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
BUILD_DOCS=n
else
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
BUILD_DOCS=n
# to stop dh_installdoc from running
export DEB_BUILD_PROFILES += nodoc
else
BUILD_DOCS=y
endif
endif

# Allow to pass specific configure flags to meson as a comma separated list
ifneq (,$(filter dpdk_config_options=%,$(DEB_BUILD_OPTIONS)))
# GNU Makefile hack: can't directly escape comma and spaces, so use variables
    comma := ,
    empty :=
    space := $(empty) $(empty)
    DPDK_CONFIG_OPTIONS ?= $(subst $(comma),$(space),$(patsubst dpdk_config_options=%,%,$(filter dpdk_config_options=%,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@ --with python3 --buildsystem=meson

override_dh_gencontrol:
	dh_gencontrol
	# debian/files will not exist until dh_gencontrol has ran at least once,
	# so we need to run gencontrol for libdpdk-dev after.
	# The list of libraries and PMDs is everchanging, so generate the dependency
	# list for libdpdk-dev to avoid having to maintain it manually.
	# Various meta packages help users to gain a granular access per lib-subtype.
	# The recommends list for dpdk has more common libs, all full meta categories
	# are listed as suggests.
	dh_gencontrol -p libdpdk-dev          -- -V"librte:All=`grep      -E 'librte-*'           ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-all      -- -V"librte:All=`grep      -E 'librte-*'           ./debian/files | grep -v dbgsym | grep -v 'librte-meta-' | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-baseband -- -V"librte:Baseband=`grep -E 'librte-baseband-.*' ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-bus      -- -V"librte:Bus=`grep      -E 'librte-bus-.*'      ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-common   -- -V"librte:Common=`grep   -E 'librte-common-.*'   ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-compress -- -V"librte:Compress=`grep -E 'librte-compress-.*' ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-crypto   -- -V"librte:Crypto=`grep   -E 'librte-crypto-.*'   ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-dma      -- -V"librte:Dma=`grep      -E 'librte-dma-.*'      ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-event    -- -V"librte:Event=`grep    -E 'librte-event-.*'    ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-mempool  -- -V"librte:Mempool=`grep  -E 'librte-mempool-.*'  ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-net      -- -V"librte:Net=`grep      -E 'librte-net-.*'      ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-raw      -- -V"librte:Raw=`grep      -E 'librte-raw-.*'      ./debian/files | grep -v dbgsym                          | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'`"
	dh_gencontrol -p librte-meta-allpmds -- -V"librte:Allpmds=`for pmd in $$(find -type d -wholename './debian/librte-*dpdk/pmds-*'); do awk -v "ver=$(DEB_VERSION)" '/^Package:/ {printf("%s (= %s), \n",$$2,ver)}' "$${pmd}/../../../../../DEBIAN/control"; done | LC_ALL=C sort --stable | xargs`"

override_dh_auto_clean:
	rm -f doc/guides/compressdevs/overview_feature_table.txt \
		doc/guides/cryptodevs/overview_aead_table.txt \
		doc/guides/cryptodevs/overview_asym_table.txt \
		doc/guides/cryptodevs/overview_auth_table.txt \
		doc/guides/cryptodevs/overview_cipher_table.txt \
		doc/guides/cryptodevs/overview_feature_table.txt \
		doc/guides/nics/overview_table.txt
	# test directory for sockets, etc
	rm -rf $(CURDIR)/tmpdir
	# every PMD package has a ldconfig-escape lintian warning, so we generate an override, delete them on cleanup
	find debian -type f \( -iname "librte-*.lintian-overrides" ! -iname "librte-meta*.lintian-overrides" \) -delete
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- $(DPDK_CONFIG_OPTIONS) \
		--includedir=include/dpdk \
		--default-library=shared \
		-Dinclude_subdir_arch=../$(DEB_HOST_MULTIARCH)/dpdk \
		-Dplatform=$(RTE_PLATFORM)
	head obj-$(DEB_HOST_GNU_TYPE)/compile_commands.json || find . -name compile_commands.json
	grep --max-count=1 -e '-mcpu=' -e '-march=' \
		obj-$(DEB_HOST_GNU_TYPE)/compile_commands.json
	grep -q -e '-mcpu=power8' -e '-march=corei7' -e '-march=armv8-a+crc' -e '-march=rv64gc' \
		obj-$(DEB_HOST_GNU_TYPE)/compile_commands.json \
		|| (echo "Error: unexpected target cpu"; exit 1)

override_dh_auto_build-indep:
ifeq (y,$(BUILD_DOCS))
	dh_auto_build -- doc
	# NINJA DOC INSTALL DOES NOT WORK - .buildinfo present, css missing
	rm -rf obj-$(DEB_HOST_MULTIARCH)/doc/guides/guides/.buildinfo obj-$(DEB_HOST_MULTIARCH)/doc/guides/html/.doctrees
endif

# ninja install doc does not work, will rebuild everything,
# only dpdk-doc as arch: all so just skip it
override_dh_auto_install-indep:

override_dh_auto_install-arch:
	dh_auto_install
	# Package(s): libdpdk-<NAME><VER> (bare runtime libs and PMDs)
	# if lib names end in a number, insert a "-"
	# if libraries are fully experimental set zero as package name suffix, otherwise DPDK_ABI
	# every PMD package has a ldconfig-escape lintian warning, so we generate an override
	for lib in $$(ls -1 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*); do \
	  LN=$$(basename $${lib} | sed -e 's/\.so\.[0-9\.]*$$//' | tr '_' '-'); \
	  if echo $${LN} | grep -q ".*[0-9]$$"; then \
	    PKG="$${LN}-"; \
	  else \
	    PKG="$${LN}"; \
	  fi; \
	  if echo $${lib} | grep -q "\.so\.0\.[0-9]*$$"; then \
	    PKG="$${PKG}$(DPDK_EXP_ABI)"; \
	  else \
	    PKG="$${PKG}$(DPDK_ABI)"; \
	  fi; \
	  LIBF="$$(basename $${lib})"; \

## dpdk 22.11.2

=== debian/changelog ===
dpdk (22.11.2-2~deb12u1) bookworm; urgency=medium

  * Revert "Drop old init script"
  * Revert "Add package for new librte-net-mana PMD"
  * Revert "d/control, d/dpdk.init: stop using lsb-base functions"
  * Explicitly disable new mana PMD. This gets enabled implicitly when
    a new enough rdma-core is available, but we do not want to
    introduce new libraries via bookworm-pu.
  * Upload to bookworm.

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Jun 2023 11:12:23 +0100

dpdk (22.11.2-2) unstable; urgency=medium

  * No changes source-only upload.

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Jun 2023 11:09:08 +0100

dpdk (22.11.2-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/test-fastsuite: test env before breaking tests for known issues
  * d/rules: avoid path length issues in build time test
  * d/control, d/dpdk.init: stop using lsb-base functions

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/22.11.2'
  * Add package for new librte-net-mana PMD
  * Bump Standards-Version to 4.6.2, no changes
  * Add new internal/experimental symbols
  * Drop old init script

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Jun 2023 17:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: dpdk
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
+Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
            Santiago Ruano Rincón <santiagorr@riseup.net>,
@@ -34,7 +33,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                texlive-fonts-recommended <!nodoc>,
                texlive-latex-extra <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.dpdk.org
@@ -330,3 +329,5 @@
 Conflicts: libdpdk0,
 Description: Data Plane Development Kit (librte-baseband-fpga-5gnr-fec runtime library)
  DPDK is a set of libraries for fast packet processing. Applications run
+ in user-space and communicate directly with dedicated network interfaces.
+ .

## dpdk 22.11.3

=== debian/changelog ===
dpdk (22.11.3-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/control: drop armhf

  [ Luca Boccassi ]
  * New upstream release 22.11.3; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html
  * Refresh patches to remove fuzz from 22.11.3
  * Update symbols file for internal experimental symbol in librte-common-
    sfc-efx23

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Sep 2023 14:49:23 +0100

dpdk (22.11.2-3) unstable; urgency=medium

  * d/p/disable-parallel-sphinx.patch: fix reprotest for parallel
    sphinx
  * d/t/test-initscripts: adapt to dropped sysV to un-break autopkgtest

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 29 Jun 2023 16:38:58 +0200

=== debian/control ===
--- 
+++ 
@@ -43,8 +43,7 @@
 Package: dpdk
 Section: admin
 Architecture: amd64 arm64 i386 ppc64el riscv64
-Depends: lsb-base (>= 3.2-14),
-         pci.ids | hwdata,
+Depends: pci.ids | hwdata,
          pciutils,
          procps,
          ${misc:Depends},

## dpdk 22.11.4

=== examples/multi_process/client_server_mp/mp_server/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2010-2014 Intel Corporation

# binary name
APP = mp_server

# all source are stored in SRCS-y
SRCS-y := main.c init.c args.c

CFLAGS += -I../shared

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

ifeq ($(MAKECMDGOALS),static)
# check for broken pkg-config
ifeq ($(shell echo $(LDFLAGS_STATIC) | grep 'whole-archive.*l:lib.*no-whole-archive'),)
$(warning "pkg-config output list does not contain drivers between 'whole-archive'/'no-whole-archive' flags.")
$(error "Cannot generate statically-linked binaries with this version of pkg-config")
endif
endif

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== debian/changelog ===
dpdk (22.11.4-0ubuntu0.23.10.1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 23 Mar 2024 07:11:18 +0000

dpdk (22.11.4-0ubuntu0.23.10.1) mantic; urgency=medium

  * Merge LTS stable release 22.11.4 (LP: #2040463)
    - Full release notes are available at:
      https://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html#id7
  * d/p/disable_autopackagetest*_fails.patch: Refresh.
  * Add new symbols:
    - d/librte-bus-pci23.symbols due to https://github.com/DPDK/dpdk-stable/commit/5586a7be
    - d/librte-common-cnxk23.symbols due to https://github.com/DPDK/dpdk-stable/commit/a998d657
      and https://github.com/DPDK/dpdk-stable/commit/103a33d02
    - d/librte-eventdev23.symbols due to https://github.com/DPDK/dpdk-stable/commit/5a037544

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 01 Feb 2024 10:11:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: dpdk
 Priority: optional
-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
            Santiago Ruano Rincón <santiagorr@riseup.net>,
@@ -328,5 +329,3 @@
 Conflicts: libdpdk0,
 Description: Data Plane Development Kit (librte-baseband-fpga-5gnr-fec runtime library)
  DPDK is a set of libraries for fast packet processing. Applications run
- in user-space and communicate directly with dedicated network interfaces.
- .

=== debian/tests/control ===
Tests: test-initscripts
Restrictions: allow-stderr, isolation-machine, needs-root, skippable
Depends: dpdk, gawk, mount, systemd, sysvinit-utils, iproute2
Architecture: amd64 arm64 i386 ppc64el riscv64

Tests: test-linkage
Restrictions: allow-stderr, skippable
Depends: libdpdk-dev, libc6-dev, gcc, grep, libpcap-dev, pax-utils, pkg-config
Architecture: amd64 arm64 i386 ppc64el riscv64

Tests: test-autotest
Restrictions: allow-stderr, isolation-machine, needs-root, skippable
Depends: dpdk-dev [amd64 arm64 i386 ppc64el riscv64], jq, python3, python3-pexpect

Tests: test-fastsuite
Restrictions: allow-stderr, skippable
Depends: build-essential, jq, @builddeps@
Architecture: amd64 arm64 i386 ppc64el riscv64

## dpdk 22.11.5

=== debian/changelog ===
dpdk (22.11.5-1~deb12u1) bookworm; urgency=medium

  * New upstream release 22.11.5; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html
  * Update symbols file for private symbols change

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 Apr 2024 09:37:59 +0100

dpdk (22.11.4-1~deb12u1) bookworm; urgency=medium

  * New upstream release 22.11.4; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html
  * Refresh patches for 22.11.4
  * Add internal/experimental symbols

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Jan 2024 13:53:28 +0000

dpdk (22.11.3-1~deb12u1) bookworm; urgency=medium

  * New upstream release 22.11.3; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html
  * Refresh patches to remove fuzz from 22.11.3
  * Update symbols file for internal experimental symbol in librte-common-
    sfc-efx23

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Sep 2023 15:59:11 +0100

## dpdk 22.11.6

=== debian/changelog ===
dpdk (22.11.6-1~deb12u1) bookworm; urgency=medium

  [ Christian Ehrhardt ]
  * fix reprotest for parallel sphinx
  * d/p/disable-parallel-sphinx.patch: mention forwarding

  [ Luca Boccassi ]
  * salsa-ci: run Lintian on stable and suppress two warnings
  * Update upstream source from tag 'upstream/22.11.6'
  * Refresh patches to remove fuzz from 22.11.6
  * BPF library is now disabled on i386

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Aug 2024 21:45:08 +0100

## dpdk 22.11.7

=== examples/eventdev_pipeline/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2016-2017 Intel Corporation

# binary name
APP = eventdev_pipeline

# all source are stored in SRCS-y
SRCS-y := main.c
SRCS-y += pipeline_worker_generic.c
SRCS-y += pipeline_worker_tx.c

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

ifeq ($(MAKECMDGOALS),static)
# check for broken pkg-config
ifeq ($(shell echo $(LDFLAGS_STATIC) | grep 'whole-archive.*l:lib.*no-whole-archive'),)
$(warning "pkg-config output list does not contain drivers between 'whole-archive'/'no-whole-archive' flags.")
$(error "Cannot generate statically-linked binaries with this version of pkg-config")
endif
endif

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== debian/changelog ===
dpdk (22.11.7-1~deb12u1) bookworm-security; urgency=medium

  * Update upstream source from tag 'upstream/22.11.7'
    Fixes rx checksum calculation in virtio driver (CVE-2024-11614)

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Dec 2024 23:28:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dpdk
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
+Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
            Santiago Ruano Rincón <santiagorr@riseup.net>,
 Build-Depends: chrpath,
                debhelper-compat (= 13),
+               dh-exec,
                dh-python,
                libbpf-dev,
                libbsd-dev,
@@ -44,7 +44,8 @@
 Package: dpdk
 Section: admin
 Architecture: amd64 arm64 i386 ppc64el riscv64
-Depends: pci.ids | hwdata,
+Depends: lsb-base (>= 3.2-14),
+         pci.ids | hwdata,
          pciutils,
          procps,
          ${misc:Depends},

=== debian/tests/control ===
Tests: test-initscripts
Restrictions: allow-stderr, isolation-machine, needs-root, skippable
Depends: dpdk, gawk, mount, systemd, sysvinit-utils, iproute2
Architecture: amd64 arm64 armhf i386 ppc64el riscv64

Tests: test-linkage
Restrictions: allow-stderr, skippable
Depends: libdpdk-dev, libc6-dev, gcc, grep, libpcap-dev, pax-utils, pkg-config
Architecture: amd64 arm64 armhf i386 ppc64el riscv64

Tests: test-autotest
Restrictions: allow-stderr, isolation-machine, needs-root, skippable
Depends: dpdk-dev [amd64 arm64 i386 ppc64el riscv64], jq, python3, python3-pexpect

Tests: test-fastsuite
Restrictions: allow-stderr, skippable
Depends: build-essential, jq, @builddeps@
Architecture: amd64 arm64 armhf i386 ppc64el riscv64

## dpdk 22.11.8

=== debian/changelog ===
dpdk (22.11.8-1~deb12u1) bookworm; urgency=medium

  * New upstream release 22.11.8; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Apr 2025 22:53:10 +0100

## dpdk 22.11.9

=== meson_options.txt ===
# Please keep these options sorted alphabetically.

option('check_includes', type: 'boolean', value: false, description:
       'build "chkincs" to verify each header file can compile alone')
option('cpu_instruction_set', type: 'string', value: 'auto',
	description: 'Set the target machine ISA (instruction set architecture). Will be set according to the platform option by default.')
option('developer_mode', type: 'feature', description:
       'turn on additional build checks relevant for DPDK developers')
option('disable_apps', type: 'string', value: '', description:
       'Comma-separated list of apps to explicitly disable.')
option('disable_drivers', type: 'string', value: '', description:
       'Comma-separated list of drivers to explicitly disable.')
option('disable_libs', type: 'string', value: 'flow_classify,kni', description:
       'Comma-separated list of libraries to explicitly disable. [NOTE: not all libs can be disabled]')
option('drivers_install_subdir', type: 'string', value: 'dpdk/pmds-<VERSION>', description:
       'Subdirectory of libdir where to install PMDs. Defaults to using a versioned subdirectory.')
option('enable_docs', type: 'boolean', value: false, description:
       'build documentation')
option('enable_apps', type: 'string', value: '', description:
       'Comma-separated list of apps to build. If unspecified, build all apps.')
option('enable_drivers', type: 'string', value: '', description:
       'Comma-separated list of drivers to build. If unspecified, build all drivers.')
option('enable_driver_sdk', type: 'boolean', value: false, description:
       'Install headers to build drivers.')
option('enable_kmods', type: 'boolean', value: false, description:
       'build kernel modules')
option('examples', type: 'string', value: '', description:
       'Comma-separated list of examples to build by default')
option('ibverbs_link', type: 'combo', choices : ['static', 'shared', 'dlopen'], value: 'shared', description:
       'Linkage method (static/shared/dlopen) for NVIDIA PMDs with ibverbs dependencies.')
option('include_subdir_arch', type: 'string', value: '', description:
       'subdirectory where to install arch-dependent headers')
option('kernel_dir', type: 'string', value: '', description:
       'Path to the kernel for building kernel modules. Headers must be in $kernel_dir or $kernel_dir/build. Modules will be installed in /lib/modules.')
option('machine', type: 'string', value: 'auto', description:
       'Alias of cpu_instruction_set.')
option('max_ethports', type: 'integer', value: 32, description:
       'maximum number of Ethernet devices')
option('max_lcores', type: 'string', value: 'default', description:
       'Set maximum number of cores/threads supported by EAL; "default" is different per-arch, "detect" detects the number of cores on the build machine.')
option('max_numa_nodes', type: 'string', value: 'default', description:
       'Set the highest NUMA node supported by EAL; "default" is different per-arch, "detect" detects the highest NUMA node on the build machine.')
option('enable_iova_as_pa', type: 'boolean', value: true, description:
       'Support for IOVA as physical address. Disabling removes the buf_iova field of mbuf.')
option('mbuf_refcnt_atomic', type: 'boolean', value: true, description:
       'Atomically access the mbuf refcnt.')
option('platform', type: 'string', value: 'native', description:
       'Platform to build, either "native", "generic" or a SoC. Please refer to the Linux build guide for more information.')
option('enable_trace_fp', type: 'boolean', value: false, description:
       'enable fast path trace points.')
option('tests', type: 'boolean', value: true, description:
       'build unit tests')
option('use_hpet', type: 'boolean', value: false, description:
       'use HPET timer in EAL')

=== examples/l2fwd-cat/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2016 Intel Corporation

# binary name
APP = l2fwd-cat

# all source are stored in SRCS-y
SRCS-y := l2fwd-cat.c cat.c

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

ifeq ($(MAKECMDGOALS),static)
# check for broken pkg-config
ifeq ($(shell echo $(LDFLAGS_STATIC) | grep 'whole-archive.*l:lib.*no-whole-archive'),)
$(warning "pkg-config output list does not contain drivers between 'whole-archive'/'no-whole-archive' flags.")
$(error "Cannot generate statically-linked binaries with this version of pkg-config")
endif
endif

CFLAGS += -DALLOW_EXPERIMENTAL_API
CFLAGS += -D_GNU_SOURCE

LDFLAGS += -lpqos

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== examples/server_node_efd/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2016-2020 Intel Corporation

subdirs := node server

.PHONY: all static shared clean $(subdirs)
all static shared clean: $(subdirs)

$(subdirs):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== examples/skeleton/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright(c) 2010-2014 Intel Corporation

# binary name
APP = basicfwd

# all source are stored in SRCS-y
SRCS-y := basicfwd.c

PKGCONF ?= pkg-config

# Build using pkg-config variables if possible
ifneq ($(shell $(PKGCONF) --exists libdpdk && echo 0),0)
$(error "no installation of DPDK found")
endif

all: shared
.PHONY: shared static
shared: build/$(APP)-shared
	ln -sf $(APP)-shared build/$(APP)
static: build/$(APP)-static
	ln -sf $(APP)-static build/$(APP)

PC_FILE := $(shell $(PKGCONF) --path libdpdk 2>/dev/null)
CFLAGS += -O3 $(shell $(PKGCONF) --cflags libdpdk)
LDFLAGS_SHARED = $(shell $(PKGCONF) --libs libdpdk)
LDFLAGS_STATIC = $(shell $(PKGCONF) --static --libs libdpdk)

ifeq ($(MAKECMDGOALS),static)
# check for broken pkg-config
ifeq ($(shell echo $(LDFLAGS_STATIC) | grep 'whole-archive.*l:lib.*no-whole-archive'),)
$(warning "pkg-config output list does not contain drivers between 'whole-archive'/'no-whole-archive' flags.")
$(error "Cannot generate statically-linked binaries with this version of pkg-config")
endif
endif

CFLAGS += -DALLOW_EXPERIMENTAL_API

build/$(APP)-shared: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_SHARED)

build/$(APP)-static: $(SRCS-y) Makefile $(PC_FILE) | build
	$(CC) $(CFLAGS) $(SRCS-y) -o $@ $(LDFLAGS) $(LDFLAGS_STATIC)

build:
	@mkdir -p $@

.PHONY: clean
clean:
	rm -f build/$(APP) build/$(APP)-static build/$(APP)-shared
	test -d build && rmdir -p build || true

=== debian/changelog ===
dpdk (22.11.9-1~deb12u1) bookworm; urgency=medium

  * New upstream release 22.11.9; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Aug 2025 19:45:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -90,10 +90,15 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
+	# Bookworm: at the time we uploaded rdma-core was too old to support the
+	# mana PMD so it was disabled implicitly. Current bookworm version is
+	# new enough, so p-u builds enable it by default. Explicitly disable it
+	# as we don't want to include new packages/drivers via p-u.
 	dh_auto_configure -- $(DPDK_CONFIG_OPTIONS) \
 		--includedir=include/dpdk \
 		--default-library=shared \
 		-Dinclude_subdir_arch=../$(DEB_HOST_MULTIARCH)/dpdk \
+		-Ddisable_drivers=net/mana \
 		-Dplatform=$(RTE_PLATFORM)
 	head obj-$(DEB_HOST_GNU_TYPE)/compile_commands.json || find . -name compile_commands.json
 	grep --max-count=1 -e '-mcpu=' -e '-march=' \
@@ -121,14 +126,3 @@
 	# every PMD package has a ldconfig-escape lintian warning, so we generate an override
 	for lib in $$(ls -1 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*); do \
 	  LN=$$(basename $${lib} | sed -e 's/\.so\.[0-9\.]*$$//' | tr '_' '-'); \
-	  if echo $${LN} | grep -q ".*[0-9]$$"; then \
-	    PKG="$${LN}-"; \
-	  else \
-	    PKG="$${LN}"; \
-	  fi; \
-	  if echo $${lib} | grep -q "\.so\.0\.[0-9]*$$"; then \
-	    PKG="$${PKG}$(DPDK_EXP_ABI)"; \
-	  else \
-	    PKG="$${PKG}$(DPDK_ABI)"; \
-	  fi; \
-	  LIBF="$$(basename $${lib})"; \

=== debian/watch ===
version=4
https://fast.dpdk.org/rel/dpdk-(22.11.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dpdk 22.11.11

=== debian/changelog ===
dpdk (22.11.11-0+deb12u1) bookworm; urgency=medium

  * New upstream release 22.11.11; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html
  * Refresh 0001-eal-linux-force-iova-mode-va-with-no-huge-option.patch to
    remove fuzz from 22.11.11

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Dec 2025 14:49:39 +0000
